%define _disable_ld_no_undefined 1

%define oname CWiid
%define pre 0
%define rel 19

%if %pre
%define release %mkrel 1.%{pre}.%{rel}
%define distname %{name}-%{version}_%{pre}
%else
%define release %mkrel %{rel}
%define distname %{name}-%{version}
%endif

%define lib_major 1
%define lib_name %mklibname %{name} %{lib_major}
%define devel_name %mklibname %{name} -d
%define plugins_dir %{_libdir}/%{name}/plugins

Summary:	Cwiid Wiimote Interface
Name:		cwiid
Version:	0.6.02
Release:	%{release}
License:        GPL
Group:          System/Kernel and hardware
Url:            https://github.com/abstrakraft/cwiid/
# the SOURCE has been repacked from https://github.com/mzimmerman/cwiid
# who has put all the patches in all the forks of abstrakraft together:
# * unzip cwiid.zip
# * mv cwiid.master cwiid-%{version}
# * tar caf cwiid-%{version}.tar.xz cwiid-%{version}
Source0:	https://www.abstrakraft.org/%{distname}.tar.xz
Source1:	cwiid.service
Source2:	cwiid.sysconfig
Patch1:		linking.patch
BuildRequires:	bison
BuildRequires:	pkgconfig(bluez)
BuildRequires:	flex
BuildRequires:	gtk+2-devel
Requires:	python-%{name}

%description
%{oname} is a Wiimote Interface.
The %{name} package contains the following parts:
1.%{name} library - abstracts the interface to the wiimote by hiding
  the details of the underlying Bluetooth connection
2.wmif - provides a simple text-based interface to the wiimote.
3.wmgui - provides a simple GTK gui to the wiimote.

%package -n	%{lib_name}
Summary:	%{oname} Wiimote library
Group:		System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} Wiimote library.

%package -n	%{devel_name}
Summary:	Development headers and libraries for %{oname}
Group:		Development/C
Requires:	%{lib_name} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{devel_name}
This package contains the header files and libraries needed for
developing programs using the %{oname} Wiimote library.

%prep
%setup -q -n %{distname}
%autopatch -p1

%build
autoreconf -vfi
%configure \
    --disable-ldconfig \
    --docdir=%{_docdir}/%{name} \
    --without-python

%make_build -j1 WARNFLAGS="%{optflags} -Wall -Wno-deprecated-declarations"

%install
%make_install
install -m 0644 -D %{SOURCE1} %{buildroot}%{_unitdir}/cwiid.service
install -m 0644 -D %{SOURCE2} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

find %{buildroot} -name "*.a" -delete

%post
%_post_service cwiid

%preun
%_preun_service cwiid

%files
%doc README.md
%doc %{_docdir}/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/wminput/*
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%{_unitdir}/cwiid.service
%{_bindir}/lswm
%{_bindir}/wmgui
%{_bindir}/wminput
%{_mandir}/man1/*.1*

%files -n %{lib_name}
%{_libdir}/lib%{name}.so.%{lib_major}{,.*}
%{plugins_dir}/*.so

%files -n %{devel_name}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/cwiid.pc


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.6.02-19.mga10
+ Revision: 2211834
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.6.02-18.mga9
+ Revision: 1830371
- Mageia 9 Mass Rebuild

* Sat Oct 24 2020 wally <wally> 0.6.02-17.mga8
+ Revision: 1639096
- rebuild with new autoconf

* Thu Feb 20 2020 umeabot <umeabot> 0.6.02-16.mga8
+ Revision: 1546290
- Mageia 8 Mass Rebuild

* Sat Feb 01 2020 wally <wally> 0.6.02-15.mga8
+ Revision: 1486292
- build without python2 module (python3 module is in a separate src pkg python-cwiid)
- add patch to link plugins with lib
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.6.02-14.mga7
+ Revision: 1297387
- Mageia 7 Mass Rebuild

* Sun Sep 03 2017 alien <alien> 0.6.02-13.mga7
+ Revision: 1151016
- update to a fork containing most patches of all the forks
- update to version 0.6.02
- allow to configure a specific wiimote

* Thu Feb 11 2016 umeabot <umeabot> 0.6.01-13.mga6
+ Revision: 953653
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 wally <wally> 0.6.01-12.mga6
+ Revision: 892066
- fix docs

* Wed Oct 15 2014 umeabot <umeabot> 0.6.01-11.mga5
+ Revision: 746431
- Second Mageia 5 Mass Rebuild
+ tv <tv>
- rebuild for missing pythoneggs deps

* Thu Sep 18 2014 umeabot <umeabot> 0.6.01-10.mga5
+ Revision: 693718
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 0.6.01-9.mga5
+ Revision: 678652
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.6.01-8.mga5
+ Revision: 628148
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6.01-7.mga4
+ Revision: 542532
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.6.01-6.mga4
+ Revision: 497682
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 alien <alien> 0.6.01-5.mga3
+ Revision: 361369
- set higher rate limit for cwiid

* Fri Jan 11 2013 umeabot <umeabot> 0.6.01-4.mga3
+ Revision: 348523
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 alien <alien> 0.6.01-3.mga3
+ Revision: 341307
- start cwiid at boot time
- add a systemd service

* Mon Aug 06 2012 sander85 <sander85> 0.6.01-2.mga3
+ Revision: 279510
- Add patch from Fedora to fix build.

* Fri Sep 09 2011 tv <tv> 0.6.01-1.mga2
+ Revision: 141624
- fix file list
- s/autoconf/autoreconf/
- fix missing configure
- disable patches 0 & 2
- new release
- use xz sources

* Mon Mar 28 2011 rtp <rtp> 0.6.00-6.mga1
+ Revision: 78420
- fix python extension link
+ ennael <ennael>
- clean spec file
- imported package cwiid


* Mon Nov 01 2010 Jani Välimaa <wally@mandriva.org> 0.6.00-6mdv2011.0
+ Revision: 591708
- rebuild for python 2.7

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.6.00-5mdv2010.0
+ Revision: 437206
- rebuild

* Sat Jan 10 2009 Funda Wang <fwang@mandriva.org> 0.6.00-4mdv2009.1
+ Revision: 328003
- fix linkage & str fmt

* Tue Nov 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.00-3mdv2009.1
+ Revision: 304234
- fix build
- use _disable_ld_as_needed and _disable_ld_no_undefined due to
  fugly autofoo
- fix build cflags

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.6.00-2mdv2008.1
+ Revision: 136524
- run ldconfig on post

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Aug 27 2007 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.6.00-1mdv2008.0
+ Revision: 71794
- new release: 0.6.00 final
- since tarball already being recompressed, use lzma for most optimal

* Wed Aug 22 2007 Olivier Blin <oblin@mandriva.com> 0.6.00-0.rc3.3mdv2008.0
+ Revision: 69107
- use new devel library policy
- use cwiid instead of wiimote in library package name
- wminput require python module (#32747)

* Wed Aug 22 2007 Olivier Blin <oblin@mandriva.com> 0.6.00-0.rc3.2mdv2008.0
+ Revision: 68788
- conflict with old wiimote library package

* Tue Aug 21 2007 Olivier Blin <oblin@mandriva.com> 0.6.00-0.rc3.1mdv2008.0
+ Revision: 68226
- update URL
- adapt summary and descriptions to new library name
- add python sub-package
- ensure major is correct in file list
- major is now 1
- library is now named cwiid
- new docdir policy
- 0.6.00_rc3

* Wed May 02 2007 Olivier Blin <oblin@mandriva.com> 0.5.03-1mdv2008.0
+ Revision: 20505
- 0.5.03
- add lswm
- add man pages
- do not package wmdemo
- remove packaging hacks now that upstream has DESTDIR support

* Fri Apr 20 2007 Olivier Blin <oblin@mandriva.com> 0.5.02-1mdv2008.0
+ Revision: 15603
- buildrequire bison
- buildrequire flex
- 0.5.02


* Sat Jan 27 2007 Olivier Blin <oblin@mandriva.com> 0.4.01-1mdv2007.0
+ Revision: 114311
- 0.4.01

* Thu Jan 18 2007 Olivier Blin <oblin@mandriva.com> 0.3.51-1mdv2007.1
+ Revision: 110452
- 0.3.51

* Wed Jan 10 2007 Olivier Blin <oblin@mandriva.com> 0.3.01-1mdv2007.1
+ Revision: 107202
- 0.3.01

* Fri Jan 05 2007 Olivier Blin <oblin@mandriva.com> 0.3.00-2mdv2007.1
+ Revision: 104344
- package wminput

* Fri Jan 05 2007 Olivier Blin <oblin@mandriva.com> 0.3.00-1mdv2007.1
+ Revision: 104334
- 0.3.00 (IR support)

* Tue Jan 02 2007 Olivier Blin <oblin@mandriva.com> 0.2.00-1mdv2007.1
+ Revision: 103087
- 0.2.00

* Fri Dec 29 2006 Olivier Blin <oblin@mandriva.com> 0.1.00-1mdv2007.1
+ Revision: 102632
- buildrequires gtk+2-devel
- fix library symlinks so that wmgui is linked with libwiimote
- initial cwiid Wiimote interface package
- Create cwiid

